﻿package dao

import "code.fnuoos.com/EggPlanet/egg_models.git/src/model"

type VirtualCoinDao interface {
	//TODO:: You can add specific method definitions here
	VirtualCoinFindAll() ([]model.VirtualCoin, error)
	VirtualCoinGetOneByParams(params map[string]interface{}) (*model.VirtualCoin, error)
	VirtualCoinBatchAdd(virtualCoin []model.VirtualCoin) (int64, error)
	VirtualCoinUpdate(virtualCoin *model.VirtualCoin, forceColumns ...string) (int64, error)
	VirtualCoinDelete(id interface{}) (int64, error)
}
