package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewPlatformGrowDataDb(engine *xorm.Engine) dao.PlatformGrowDataDao {
	return &PlatformGrowDataDb{Db: engine}
}

type PlatformGrowDataDb struct {
	Db *xorm.Engine
}

func (p PlatformGrowDataDb) PlatformGrowDataGetLastOne() (*model.PlatformGrowData, bool, error) {
	var m model.PlatformGrowData
	exist, err := p.Db.Desc("id").Get(&m)
	if err != nil {
		return nil, false, zhios_order_relate_logx.Error(err.Error())
	}
	return &m, exist, nil
}
