package model

type EggPointPartitionCoefficientManagement struct {
	Id          int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	StartScore  string `json:"start_score" xorm:"not null comment('起始分值') DECIMAL(10,2)"`
	EndScore    string `json:"end_score" xorm:"not null comment('截止分值') DECIMAL(10,2)"`
	Coefficient string `json:"coefficient" xorm:"not null comment('系数') DECIMAL(10,2)"`
	CreateAt    string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt    string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
