package model

type UserTag struct {
	Id       int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	TagName  string `json:"tag_name" xorm:"not null default '' comment('tag名') index VARCHAR(16)"`
	Memo     string `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(80)"`
	IsPunish int    `json:"is_punish" xorm:"not null default 0 comment('是否为处罚标签(0:否 1:是)') TINYINT(1)"`
	CreateAt string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
